import settings from '@/settings.js'

export const myRequest = (options)=>{
	return new Promise((resolve,reject)=>{
		uni.request({
			url:settings.base_url + "/" + settings.prefix + options.url,
			method: options.method || 'GET',
			data: options.data || {},
			success: (res)=>{
				if(res.statusCode !== 200) {
					return uni.showToast({
						title: '获取数据失败'
					})
				}
				resolve(res.data)
			},
			fail: (err)=>{
				uni.showToast({
					title: '请求接口失败'
				})
				reject(err)
			}
		})
	})
}